<?php

namespace ModulesGarden\HostingQuotaNotifications\App\Helper\Logger;

use \ModulesGarden\HostingQuotaNotifications\Core\Helper as CoreHelper;

/**
 * Description of Log
 *
 * @author Artur Pilch <artur.pi@modulesgarden.com>
 */
class Log
{
    public static function log($message, array $params, array $response, array $vars)
    {
        if ((!$response['result']))
        {
            CoreHelper\successLog($message, $params, $response, $vars);
            return;
        }
        CoreHelper\errorLog($message, $params, $response, $vars);
    }

    public static function cronLog($state)
    {
        CoreHelper\infoLog('cron', [], [], ['state' => $state]);
    }
}
